## GimpZoomPreview

GimpZoomPreview —

## Synopsis

                GimpZoomPreview;
    GtkWidget*  gimp_zoom_preview_new           (GimpDrawable *drawable);
    guchar*     gimp_zoom_preview_get_source    (GimpZoomPreview *preview,
                                                 gint *width,
                                                 gint *height,
                                                 gint *bpp);
    GimpDrawable* gimp_zoom_preview_get_drawable
                                                (GimpZoomPreview *preview);
    gdouble     gimp_zoom_preview_get_factor    (GimpZoomPreview *preview);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GimpPreview
                                                 +----GimpScrolledPreview
                                                       +----GimpZoomPreview

## Implemented Interfaces

GimpZoomPreview implements AtkImplementorIface.

## Properties

      "drawable"             gpointer              : Read / Write / Construct Only

## Description

## Details

### GimpZoomPreview

    typedef struct _GimpZoomPreview GimpZoomPreview;

### gimp_zoom_preview_new ()

    GtkWidget*  gimp_zoom_preview_new           (GimpDrawable *drawable);

Creates a new GimpZoomPreview widget for `drawable`.

`drawable` : | a GimpDrawable
Returns : |

Since GIMP 2.4

### gimp_zoom_preview_get_source ()

    guchar*     gimp_zoom_preview_get_source    (GimpZoomPreview *preview,
                                                 gint *width,
                                                 gint *height,
                                                 gint *bpp);

Returns the scaled image data of the part of the drawable the GimpZoomPreview is currently showing, as a newly allocated array of guchar. This function also allow to get the current width, height and bpp of the GimpZoomPreview.

`preview` : | a GimpZoomPreview widget
`width` : | a pointer to an int where the current width of the zoom widget will be put.
`height` : | a pointer to an int where the current width of the zoom widget will be put.
`bpp` : | a pointer to an int where the bpp of the current drawable the zoom widget is using will be put.
Returns : |

Since GIMP 2.4

### gimp_zoom_preview_get_drawable ()

    GimpDrawable* gimp_zoom_preview_get_drawable
                                                (GimpZoomPreview *preview);

`preview` : |
Returns : |

### gimp_zoom_preview_get_factor ()

    gdouble     gimp_zoom_preview_get_factor    (GimpZoomPreview *preview);

`preview` : |
Returns : |

## Property Details

### The "`drawable`" property

      "drawable"             gpointer              : Read / Write / Construct Only

The drawable the GimpZoomPreview is currently attached to.

Since GIMP 2.4